import * as React from 'react';
import { ApolloClient } from 'apollo-client';
import { PlatformContextProps, IExtensionsControllerProps } from '@workbench-stack/extension-api';
export declare namespace ExtensionApp {
    interface IProps {
        client?: ApolloClient<any>;
        store?: any;
        modules?: any;
    }
    interface IState extends PlatformContextProps, IExtensionsControllerProps {
    }
}
export declare const ExtensionApp: React.FC<ExtensionApp.IProps>;
