

export const getScriptURLForExtension = async bundleURL => {
    // We need to import the extension's JavaScript file (in importScripts in the Web Worker) from a blob:
    // URI, not its original http:/https: URL, because Chrome extensions are not allowed to be published
    // with a CSP that allowlists https://* in script-src (see
    // https://developer.chrome.com/extensions/contentSecurityPolicy#relaxing-remote-script). (Firefbox
    // add-ons have an even stricter restriction.)
    const blobURL = await new Promise<string>(resolve =>
        
        )
}
