module.exports = {
    client: { 
        service: {
            name: "extension-service",
            localSchemaFile: "./src/graphql/schema/schema.graphqls",
        },
        includes: ['./src/graphql/client/**/*.gql'],
        addTypename: false,
        outputFlat: './src/graphql/client/client.ts',
        clientSchemaDirectives: ['client'],
     },
     server: {
         service: {
             name: 'extension-server-service',
             endpoint: 'http://localhost:8085'
         }
     }
  };